Page MenuHomePhabricator

[EPIC] Push wikidata descriptions to stable.
Closed, ResolvedPublic

Description

Wikidata descriptions are shown on search results, nearby results and at the top of the page under the heading. We should push these to stable.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable Wikidata descriptions
mediawiki/extensions/MobileFrontend : masterTurn Wikidata descriptions on by default

Related Objects

Event Timeline

Jdlrobson created this task.Jun 8 2015, 4:54 PM
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Readers-Web-Backlog.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Jdlrobson renamed this task from Push wikidata descriptions to stable. to [EPIC] Push wikidata descriptions to stable..Aug 12 2015, 1:44 AM
Jhernandez triaged this task as Medium priority.Aug 17 2015, 11:12 AM
Jhernandez edited projects, added MobileFrontend, Epic; removed Readers-Web-Backlog.

@Moushira @Jdlrobson I just realized this was still in beta. Given that T97566 hasn't moved since July, I think we should ship. This was supposed to be a shoe-in. We already show them on apps and it is widely considered a major improvement.

@Moushira I think these are related issues, but consideration of the issues mentioned above should not block moving this to stable.

@Lydia_Pintscher are you okay with us moving descriptions in search results forward on mobile web? I would like to revisit the notion that this is blocked on T97566.

kaldari added a comment.EditedSep 29 2015, 9:39 PM

See also T91981 (Show an auto-generated article description when a user-contributed one is unavailable), which is related to the discussion mentioned by Moushira. Unfortunately, that task hasn't moved in a while either.

@JKatzWMF, @Lydia_Pintscher: One additional issue to keep in mind is that this will cause Wikidata descriptions to become a prominent vector for vandalism. Unfortunately, the Wikidata community is not currently equipped to handle significant amounts of vandalism. For example, this blatant vandalism persisted on Wikidata for over 2 years, and during that time was seen by anyone searching for Mr. Silverstein on the mobile apps. This needs to be carefully considered before a wider roll-out, IMO.

Nikki added a subscriber: Nikki.Sep 30 2015, 12:59 AM

@kaldari: It is incredibly hard to spot vandalism which happened some time ago without lots and lots more people looking at the data. Wikidata is *huge*, there are millions and millions of items, and Wikidata's data is only slowly becoming more visible on other projects. The odds of someone stumbling across some vandalism by chance right now must be very low, it doesn't surprise me at all that that wasn't spotted for so long. The easiest and most successful time (IMO) to detect vandalism is as it's happening, so I don't think it's really fair to judge Wikidata's current ability to handle vandalism based on an edit made over 2 years ago - Wikidata itself is only a little bit older than that!

That said, I'm not claiming Wikidata doesn't need more people fighting vandalism - it really does. There aren't that many of us and I'm sure some vandalism will always slip through the net no matter how many of us there are, but vandalism can't be fixed unless someone sees it - more visibility will likely mean more vandalism, but also more chance of vandalism actually being fixed.

@Lydia_Pintscher are you okay with us moving descriptions in search results forward on mobile web? I would like to revisit the notion that this is blocked on T97566.

At least the Wikipedians where/are very vocal about needing editing of the descriptions if they are shown. There was vandalism and editors didn't know how to fix it which lead to a lot of unhappiness.

@Lydia_Pintscher and I spoke about this earlier in the week and my understanding (correct me if I'm wrong, Lydia) was that Lydia was comfortable with us testing this out on mobile web as long as there is a kill switch if we start to see vandalism. Let's try in a low-risk way before we expend a lot of effort in this direction. Ultimately, editing descriptions from wikipedia should be possible, but the goal is to test that element out on apps first (again, low risk testing)

@Lydia_Pintscher and I spoke about this earlier in the week and my understanding (correct me if I'm wrong, Lydia) was that Lydia was comfortable with us testing this out on mobile web as long as there is a kill switch if we start to see vandalism. Let's try in a low-risk way before we expend a lot of effort in this direction. Ultimately, editing descriptions from wikipedia should be possible, but the goal is to test that element out on apps first (again, low risk testing)

@Jdlrobson do you think we can turn this on for EN next sprint with a kill switch?

@Moushira - if Jon R says yes, do you feel okay with putting an announcement up "i.e. we are putting wikidata descriptions.... on a probationary basis. Given that they cannot yet be edited easily from WP, we hope you will let us know if vandalism becomes more of an issue now that wikidata descriptions are more visible. The reason we are launching without is to evaluate what kinds of issues arise in order to build a better solution. We have a kill switch...etc. and can revert as soon as this becomes an issue...etc"

There's already a kill switch.
Once https://gerrit.wikimedia.org/r/#/c/246282/4 is merged this is a trivial config change.

@Jdlrobson excellent!
@Moushira see my question above---sound good?

JKatzWMF added a comment.EditedOct 28 2015, 9:50 PM

After months of waiting, this is likely going live tomorrow! Some work done to support the Wikidata team T115014 will also result in descriptions showing on nearby and watchlist. A 'kill switch' is in place to turn the feature off via config variable if we encounter any issues.

Change 249581 had a related patch set uploaded (by Jdlrobson):
Turn Wikidata descriptions on by default

https://gerrit.wikimedia.org/r/249581

Change 249603 had a related patch set uploaded (by Jdlrobson):
Enable Wikidata descriptions

https://gerrit.wikimedia.org/r/249603

Change 249581 abandoned by Jdlrobson:
Turn Wikidata descriptions on by default

Reason:
yeh. you are right. https://gerrit.wikimedia.org/r/249603

https://gerrit.wikimedia.org/r/249581

Change 249603 merged by jenkins-bot:
Enable Wikidata descriptions

https://gerrit.wikimedia.org/r/249603

Jdlrobson closed this task as Resolved.Oct 28 2015, 11:29 PM
Jdlrobson claimed this task.

Will be live tomorrow.